<?php
namespace FoodBook\Admin;
 /**
  * 
  * @package    FoodBook 
  * @since      3.0.0
  * @version    3.0.0
  * @author     ThemeLooks
  * @Websites:  http://themelooks.com/
  *
  */


class Color_Settings_Tab extends Settings_Fields_Base {

  public function get_option_name() {
    return 'foodbook_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

        $this->start_fields_section([
            'title'   => esc_html__( 'Color Settings', 'foodbook' ),
            'icon'    => 'fa fa-fill',
            'id'      => 'colorsettings'
        ]);

        $this->colorpicker(
          [
            'title' => esc_html__( 'Main Color', 'foodbook' ),
            'name'  => 'main-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Order Button Background Color', 'foodbook' ),
            'name'  => 'btn-bg-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Order Button Color', 'foodbook' ),
            'name'  => 'btn-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Order Button Hover Background Color', 'foodbook' ),
            'name'  => 'btn-hover-bg-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Order Button Hover Color', 'foodbook' ),
            'name'  => 'btn-hover-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Global Button Background Color', 'foodbook' ),
            'name'  => 'gob-btn-bg-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Global Button Color', 'foodbook' ),
            'name'  => 'gob-btn-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Global Button Hover Background Color', 'foodbook' ),
            'name'  => 'gob-btn-hover-bg-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Global Button Hover Color', 'foodbook' ),
            'name'  => 'gob-btn-hover-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Cart Button background', 'foodbook' ),
            'name'  => 'cart-btn-bg',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Cart Button Count background', 'foodbook' ),
            'name'  => 'cart-btn-count-bg',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Cart Button Count Text Color', 'foodbook' ),
            'name'  => 'cart-btn-count-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Category Item Odd Background', 'foodbook' ),
            'name'  => 'category-item-odd-bg',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'Category Item Text Color', 'foodbook' ),
            'name'  => 'category-item-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'My Account Tab Background', 'foodbook' ),
            'name'  => 'mat-bg',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'My Account Tab Text Color', 'foodbook' ),
            'name'  => 'mat-text-color',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'My Account Tab Hover Background', 'foodbook' ),
            'name'  => 'mat-hover-bg',
          ]
        );
        $this->colorpicker(
          [
            'title' => esc_html__( 'My Account Tab Hover Text Color', 'foodbook' ),
            'name'  => 'mat-hover-text-color',
          ]
        );
        
        $this->end_fields_section(); // End fields section
   }
}

new Color_Settings_Tab();